Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.presentation
Enum OdfSourceType

    java.lang.Object
      java.lang.Enum<OdfSourceType>
          org.odftoolkit.odfdom.dom.type.presentation.OdfSourceType

All Implemented Interfaces:
  Serializable, Comparable<OdfSourceType>

    public enum OdfSourceType

extends Enum<OdfSourceType>

DOM implementation of OpenDocument attribute presentation:source.

Enum Constant Summary
`CURRENT_DATE`
`FIXED`

Method Summary
`static OdfSourceType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfSourceType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfSourceType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfSourceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FIXED

    public static final OdfSourceType FIXED

### CURRENT_DATE

    public static final OdfSourceType CURRENT_DATE

Method Detail

### values

    public static OdfSourceType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfSourceType c : OdfSourceType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfSourceType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfSourceType>`
  Returns:
    return the name of OdfSourceType

### toString

    public static String toString(OdfSourceType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfSourceType, see presentation:source
  Returns:
    return the name of OdfSourceType

### enumValueOf

    public static OdfSourceType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfSourceType
  Returns:
    return the constant of OdfSourceType, see presentation:source

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.